uploaded first pkg: pd-motex

Reinhard Tartler siretart at tauware.de
Sat Aug 14 15:08:56 UTC 2010

On Sat, Aug 14, 2010 at 16:19:27 (CEST), Felipe Sateler wrote:

> On 14/08/10 06:13, Reinhard Tartler wrote:
>> debhelper maintains a history of very stable interfaces, called compat
>> levels. I'd really love to see something similar to cdbs. And this very
>> strict commitment to stable interfaces and semantics help a lot for
>> backporting packages.
> How does maintaining several API versions (compat levels) help
> backporting?

You can pretty much rely on the exact behavior of debhelper
commands. future improvements and addition are still possible at higher
levels, but for the sake of compatibility, they are not used until you
bump the debhelper compat level.

> If the compat level you are using doesn't exist on current
> stable (or other Ubuntu release), then you are as much out of luck as
> without the compat levels. Or am I missing something?

debhelper still supports all compat levels down to level V1. Moreover,
even stable ships with debhelper V7.

as for ubuntu, the oldest ubuntu release that is still supposed to be
supported (but I don't really care anymore about that release) is

$ rmadison -u ubuntu debhelper

 debhelper | 5.0.7ubuntu13 |        dapper | source, all
 debhelper | 6.0.4ubuntu1 |         hardy | source, all
 debhelper | 7.0.13ubuntu1~hardy1 | hardy-backports | source, all
 debhelper | 7.0.17ubuntu4 |        jaunty | source, all
 debhelper | 7.3.15ubuntu3 |        karmic | source, all
 debhelper | 7.4.15ubuntu1 |         lucid | source, all
 debhelper | 8.0.0ubuntu1 |      maverick | source, all

hardy *could* be  interesting to some people, but I think all that we
can and should reasonably care for is lucid and later, which is
debhelper 7.4.

Reinhard Tartler, KeyID 945348A4

More information about the pkg-multimedia-maintainers mailing list